epel9
Jan Grulich 8 years ago
parent 9f06060277
commit 280f17b2ed

1
.gitignore vendored

@ -1 +1,2 @@
/plasma-workspace-5.8.6.tar.xz
/plasma-workspace-5.9.3.tar.xz

@ -1,10 +1,11 @@
diff -up plasma-workspace-5.7.3/lookandfeel/contents/defaults.orig plasma-workspace-5.7.3/lookandfeel/contents/defaults
--- plasma-workspace-5.7.3/lookandfeel/contents/defaults.orig 2016-08-02 06:17:43.000000000 -0500
+++ plasma-workspace-5.7.3/lookandfeel/contents/defaults 2016-08-02 12:31:24.335614522 -0500
@@ -18,3 +18,6 @@ LayoutName=org.kde.breeze.desktop
[kwinrc][DesktopSwitcher]
LayoutName=org.kde.breeze.desktop
diff --git a/lookandfeel/contents/defaults b/lookandfeel/contents/defaults
index 7dbc554..8dca8dc 100644
--- a/lookandfeel/contents/defaults
+++ b/lookandfeel/contents/defaults
@@ -21,3 +21,6 @@ LayoutName=org.kde.breeze.desktop
[kwinrc][WindowDecoration]
library=org.kde.breeze
+
+[Desktop][org.kde.plasma.desktop]
+Containment=org.kde.plasma.folder

@ -6,8 +6,8 @@
Name: plasma-workspace
Summary: Plasma workspace, applications and applets
Version: 5.8.6
Release: 3%{?dist}
Version: 5.9.3
Release: 1%{?dist}
License: GPLv2+
URL: https://cgit.kde.org/%{name}.git
@ -40,7 +40,6 @@ Patch100: plasma-workspace-5.7.95-konsole-in-contextmenu.patch
Patch101: plasma-workspace-5.3.0-set-fedora-default-look-and-feel.patch
# remove stuff we don't want or need, plus a minor bit of customization --rex
Patch102: startkde.patch
Patch103: startplasmacompositor.patch
# revert (semi) regresssion wrt systray icon sizes, http://bugs.kde.org/365570
# FIXME/TODO: port patch or drop it -- rex (probably drop at this point)
Patch104: plasma-workspace-5.7.4-systray_iconSizes.patch
@ -454,7 +453,6 @@ sed -i -e "s|@DEFAULT_LOOKANDFEEL@|%{?default_lookandfeel}%{!?default_lookandfee
shell/packageplugins/lookandfeel/lookandfeel.cpp
%endif
%patch102 -p1 -b .startkde
%patch103 -p1 -b .startplasmacompositor
#patch104 -p1
%patch105 -p1
@ -588,6 +586,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%{_kf5_qmldir}/org/kde/*
%{_libexecdir}/ksmserver-logout-greeter
%{_libexecdir}/ksyncdbusenv
%{_libexecdir}/ksmserver-switchuser-greeter
%{_kf5_datadir}/ksmserver/
%{_kf5_datadir}/ksplash/
%{_kf5_datadir}/plasma/plasmoids/
@ -614,6 +613,8 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%{_kf5_datadir}/knotifications5/*.notifyrc
%{_kf5_datadir}/config.kcfg/*
%{_kf5_datadir}/kio_desktop/
%{_kf5_datadir}/kconf_update/krunnerplugins.upd
%{_kf5_libdir}/kconf_update_bin/krunnerplugins
%{_kf5_metainfodir}/*.xml
%{_datadir}/applications/org.kde.klipper.desktop
%{_datadir}/applications/plasma-windowed.desktop
@ -733,6 +734,9 @@ fi
%changelog
* Wed Mar 01 2017 Jan Grulich <jgrulich@redhat.com> - 5.9.3-1
- 5.9.3
* Sat Feb 25 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.8.6-3
- Requires: kf5-plasma >= %%_kf5_version

@ -1 +1 @@
SHA512 (plasma-workspace-5.8.6.tar.xz) = fdc22db98942db8debe24a4364b2a8c5d02ee850691a8e7788f812b6ee9b3324a26b5cb71d248f49fa71eba0aca47f838ef671dd428e26fb60a5a5650d9d3144
SHA512 (plasma-workspace-5.9.3.tar.xz) = 2b8f5281a683d5fac8bb8245997ff865054889cfbd467981530b6f329837b5e6f7b31cb506936a475bc640fb084fb11ec2eedc9a2189df238f6bee242ce782b6

@ -1,34 +1,8 @@
diff -up plasma-workspace-5.8.1/startkde/startkde.cmake.startkde plasma-workspace-5.8.1/startkde/startkde.cmake
--- plasma-workspace-5.8.1/startkde/startkde.cmake.startkde 2016-10-11 07:46:00.000000000 -0500
+++ plasma-workspace-5.8.1/startkde/startkde.cmake 2016-10-11 11:33:58.811705935 -0500
@@ -17,25 +17,22 @@ trap 'echo GOT SIGHUP' HUP
# we have to unset this for Darwin since it will screw up KDE's dynamic-loading
unset DYLD_FORCE_FLAT_NAMESPACE
-# in case we have been started with full pathname spec without being in PATH
-bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
-if [ -n "$bindir" ]; then
- qbindir=`qtpaths --binaries-dir`
- qdbus=$qbindir/qdbus
- case $PATH in
- $bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
- *) PATH=$bindir:$PATH; export PATH;;
- esac
-else
- qdbus=qdbus
-fi
+qdbus=qdbus-qt5
+
+# See http://bugzilla.redhat.com/537609 , a naive attempt to drop dep
+# on xmessage and allow alternatives like zenity.
+message() {
+ xmessage -geometry 500x100 "$1" > /dev/null 2>/dev/null || \
+ zenity --info --text="$1" > /dev/null 2>/dev/null ||:
+ return $?
+}
# Check if a KDE session already is running and whether it's possible to connect to X
kcheckrunning
diff --git a/startkde/startkde.cmake b/startkde/startkde.cmake
index 135ed1b..7062df2 100644
--- a/startkde/startkde.cmake
+++ b/startkde/startkde.cmake
@@ -12,7 +12,7 @@ kcheckrunning
kcheckrunning_result=$?
if test $kcheckrunning_result -eq 0 ; then
echo "KDE seems to be already running on this display."
@ -37,64 +11,13 @@ diff -up plasma-workspace-5.8.1/startkde/startkde.cmake.startkde plasma-workspac
exit 1
elif test $kcheckrunning_result -eq 2 ; then
echo "\$DISPLAY is not set or cannot connect to the X server."
@@ -91,53 +88,10 @@ test -f $exportformatssettings && {
. $exportformatssettings
}
-# Write a default kdeglobals file to set up the font
-kdeglobalsfile=$configDir/kdeglobals
-test -f $kdeglobalsfile || {
-cat >$kdeglobalsfile <<EOF
-[General]
-XftAntialias=true
-XftHintStyle=hintmedium
-XftSubPixel=none
-EOF
-}
-
-# Make sure the Oxygen font is installed
-# This is necessary for setups where CMAKE_INSTALL_PREFIX
-# is not in /usr. fontconfig looks in /usr, ~/.fonts and
-# $XDG_DATA_HOME for fonts. In this case, we symlink the
-# Oxygen font under ${XDG_DATA_HOME} and make it known to
-# fontconfig
-
-usr_share="/usr/share"
-install_share="@KDE_INSTALL_FULL_DATADIR@"
-
-if [ ! $install_share = $usr_share ]; then
-
- if [ ${XDG_DATA_HOME} ]; then
- fontsDir="${XDG_DATA_HOME}/fonts"
- else
- fontsDir="${HOME}/.fonts"
- fi
-
- test -d $fontsDir || {
- mkdir -p $fontsDir
- }
-
- oxygenDir=$fontsDir/oxygen
- prefixDir="@KDE_INSTALL_FULL_DATADIR@/fonts/oxygen"
-
- # if the oxygen dir doesn't exist, create a symlink to be sure that the
- # Oxygen font is available to the user
- test -d $oxygenDir || test -d $prefixDir && {
- test -h $oxygenDir || ln -s $prefixDir $oxygenDir && fc-cache $oxygenDir
- }
-fi
-
kstartupconfig5
returncode=$?
if test $returncode -ne 0; then
- xmessage -geometry 500x100 "kstartupconfig5 does not exist or fails. The error code is $returncode. Check your installation."
+ message "kstartupconfig5 does not exist or fails. The error code is $returncode. Check your installation."
exit 1
diff --git a/startkde/startplasma.cmake b/startkde/startplasma.cmake
index 59dc7b7..f46515f 100644
--- a/startkde/startplasma.cmake
+++ b/startkde/startplasma.cmake
@@ -49,48 +49,6 @@ if test -z "$dl"; then
esac
fi
[ -r $configDir/startupconfig ] && . $configDir/startupconfig
@@ -215,48 +169,6 @@ for prefix in `echo $scriptpath`; do
done
done
-# Activate the kde font directories.
-#
@ -141,7 +64,7 @@ diff -up plasma-workspace-5.8.1/startkde/startkde.cmake.startkde plasma-workspac
# Set a left cursor instead of the standard X11 "X" cursor, since I've heard
# from some users that they're confused and don't know what to do. This is
# especially necessary on slow machines, where starting KDE takes one or two
@@ -267,33 +179,15 @@ xset fp rehash
@@ -101,29 +59,18 @@ xset fp rehash
#
xsetroot -cursor_name left_ptr
@ -154,36 +77,11 @@ diff -up plasma-workspace-5.8.1/startkde/startkde.cmake.startkde plasma-workspac
- export GS_LIB
-fi
-
echo 'startkde: Starting up...' 1>&2
echo 'startplasma: Starting up...' 1>&2
-# Make sure that the KDE prefix is first in XDG_DATA_DIRS and that it's set at all.
-# The spec allows XDG_DATA_DIRS to be not set, but X session startup scripts tend
-# to set it to a list of paths *not* including the KDE prefix if it's not /usr or
-# /usr/local.
-if test -z "$XDG_DATA_DIRS"; then
- XDG_DATA_DIRS="@CMAKE_INSTALL_PREFIX@/@SHARE_INSTALL_PREFIX@:/usr/share:/usr/local/share"
-fi
-export XDG_DATA_DIRS
-
# Make sure that D-Bus is running
if $qdbus >/dev/null 2>/dev/null; then
: # ok
else
echo 'startkde: Could not start D-Bus. Can you call qdbus?' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
- xmessage -geometry 500x100 "Could not start D-Bus. Can you call qdbus?"
+ message "Could not start D-Bus. Can you call qdbus?"
exit 1
fi
@@ -344,18 +238,16 @@ if test $? -ne 0; then
# Startup error
echo 'startkde: Could not sync environment to dbus.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
- xmessage -geometry 500x100 "Could not sync environment to dbus."
+ message "Could not sync environment to dbus."
exit 1
fi
# export our session variables to the Xwayland server
xprop -root -f KDE_FULL_SESSION 8t -set KDE_FULL_SESSION true
xprop -root -f KDE_SESSION_VERSION 32c -set KDE_SESSION_VERSION 5
-# We set LD_BIND_NOW to increase the efficiency of kdeinit.
-# kdeinit unsets this variable before loading applications.
@ -191,19 +89,116 @@ diff -up plasma-workspace-5.8.1/startkde/startkde.cmake.startkde plasma-workspac
+@CMAKE_INSTALL_FULL_LIBEXECDIR_KF5@/start_kdeinit_wrapper --kded +kcminit_startup
if test $? -ne 0; then
# Startup error
echo 'startkde: Could not start kdeinit5. Check your installation.' 1>&2
echo 'startplasma: Could not start kdeinit5. Check your installation.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
- xmessage -geometry 500x100 "Could not start kdeinit5. Check your installation."
+ message "Could not start kdeinit5. Check your installation."
exit 1
fi
@@ -381,7 +273,7 @@ if test $? -eq 255; then
@@ -147,7 +94,7 @@ if test $? -eq 255; then
# Startup error
echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2
echo 'startplasma: Could not start ksmserver. Check your installation.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
- xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
+ message "Could not start ksmserver. Check your installation."
fi
wait_drkonqi=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Enabled --default true`
diff --git a/startkde/startplasmacompositor.cmake b/startkde/startplasmacompositor.cmake
index 5bcf26a..f3885c9 100644
--- a/startkde/startplasmacompositor.cmake
+++ b/startkde/startplasmacompositor.cmake
@@ -4,17 +4,15 @@
#
# in case we have been started with full pathname spec without being in PATH
-bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
-if [ -n "$bindir" ]; then
- qbindir=`qtpaths --binaries-dir`
- qdbus=$qbindir/qdbus
- case $PATH in
- $bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
- *) PATH=$bindir:$PATH; export PATH;;
- esac
-else
- qdbus=qdbus
-fi
+qdbus=qdbus-qt5
+
+# See http://bugzilla.redhat.com/537609 , a naive attempt to drop dep
+# on xmessage and allow alternatives like zenity.
+message() {
+ xmessage -geometry 500x100 "$1" > /dev/null 2>/dev/null || \
+ zenity --info --text="$1" > /dev/null 2>/dev/null ||:
+ return $?
+}
# We need to create config folder so we can write startupconfigkeys
if [ ${XDG_CONFIG_HOME} ]; then
@@ -51,49 +49,6 @@ test -f $exportformatssettings && {
. $exportformatssettings
}
-# Write a default kdeglobals file to set up the font
-kdeglobalsfile=$configDir/kdeglobals
-test -f $kdeglobalsfile || {
-cat >$kdeglobalsfile <<EOF
-[General]
-XftAntialias=true
-XftHintStyle=hintmedium
-XftSubPixel=none
-EOF
-}
-
-# Make sure the Oxygen font is installed
-# This is necessary for setups where CMAKE_INSTALL_PREFIX
-# is not in /usr. fontconfig looks in /usr, ~/.fonts and
-# $XDG_DATA_HOME for fonts. In this case, we symlink the
-# Oxygen font under ${XDG_DATA_HOME} and make it known to
-# fontconfig
-
-usr_share="/usr/share"
-install_share="@KDE_INSTALL_FULL_DATADIR@"
-
-if [ ! $install_share = $usr_share ]; then
-
- if [ ${XDG_DATA_HOME} ]; then
- fontsDir="${XDG_DATA_HOME}/fonts"
- else
- fontsDir="${HOME}/.fonts"
- fi
-
- test -d $fontsDir || {
- mkdir -p $fontsDir
- }
-
- oxygenDir=$fontsDir/truetype/oxygen
- prefixDir="@KDE_INSTALL_FULL_DATADIR@/fonts/truetype/oxygen"
-
- # if the oxygen dir doesn't exist, create a symlink to be sure that the
- # Oxygen font is available to the user
- test -d $oxygenDir || test -d $prefixDir && {
- test -h $oxygenDir || ln -s $prefixDir $oxygenDir && fc-cache $oxygenDir
- }
-fi
-
kstartupconfig5
returncode=$?
if test $returncode -ne 0; then
@@ -159,15 +114,6 @@ done
echo 'startplasmacompositor: Starting up...' 1>&2
-# Make sure that the KDE prefix is first in XDG_DATA_DIRS and that it's set at all.
-# The spec allows XDG_DATA_DIRS to be not set, but X session startup scripts tend
-# to set it to a list of paths *not* including the KDE prefix if it's not /usr or
-# /usr/local.
-if test -z "$XDG_DATA_DIRS"; then
-XDG_DATA_DIRS="@KDE_INSTALL_FULL_DATADIR@:/usr/share:/usr/local/share"
-fi
-export XDG_DATA_DIRS
-
# Make sure that D-Bus is running
if $qdbus >/dev/null 2>/dev/null; then
: # ok

@ -1,62 +0,0 @@
diff -up plasma-workspace-5.5.3/startkde/startplasmacompositor.cmake.startplasmacompositor plasma-workspace-5.5.3/startkde/startplasmacompositor.cmake
--- plasma-workspace-5.5.3/startkde/startplasmacompositor.cmake.startplasmacompositor 2016-01-06 06:17:36.000000000 -0600
+++ plasma-workspace-5.5.3/startkde/startplasmacompositor.cmake 2016-01-11 08:20:08.629227225 -0600
@@ -3,18 +3,7 @@
# DEFAULT KDE STARTUP SCRIPT ( @PROJECT_VERSION@ )
#
-# in case we have been started with full pathname spec without being in PATH
-bindir=`echo "$0" | sed -n 's,^\(/.*\)/[^/][^/]*$,\1,p'`
-if [ -n "$bindir" ]; then
- qbindir=`qtpaths --binaries-dir`
- qdbus=$qbindir/qdbus
- case $PATH in
- $bindir|$bindir:*|*:$bindir|*:$bindir:*) ;;
- *) PATH=$bindir:$PATH; export PATH;;
- esac
-else
- qdbus=qdbus
-fi
+qdbus=qdbus-qt5
# We need to create config folder so we can write startupconfigkeys
if [ ${XDG_CONFIG_HOME} ]; then
@@ -62,38 +51,6 @@ XftSubPixel=none
EOF
}
-# Make sure the Oxygen font is installed
-# This is necessary for setups where CMAKE_INSTALL_PREFIX
-# is not in /usr. fontconfig looks in /usr, ~/.fonts and
-# $XDG_DATA_HOME for fonts. In this case, we symlink the
-# Oxygen font under ${XDG_DATA_HOME} and make it known to
-# fontconfig
-
-usr_share="/usr/share"
-install_share="@KDE_INSTALL_FULL_DATADIR@"
-
-if [ ! $install_share = $usr_share ]; then
-
- if [ ${XDG_DATA_HOME} ]; then
- fontsDir="${XDG_DATA_HOME}/fonts"
- else
- fontsDir="${HOME}/.fonts"
- fi
-
- test -d $fontsDir || {
- mkdir -p $fontsDir
- }
-
- oxygenDir=$fontsDir/truetype/oxygen
- prefixDir="@KDE_INSTALL_FULL_DATADIR@/fonts/truetype/oxygen"
-
- # if the oxygen dir doesn't exist, create a symlink to be sure that the
- # Oxygen font is available to the user
- test -d $oxygenDir || test -d $prefixDir && {
- test -h $oxygenDir || ln -s $prefixDir $oxygenDir && fc-cache $oxygenDir
- }
-fi
-
kstartupconfig5
returncode=$?
if test $returncode -ne 0; then
Loading…
Cancel
Save